User operation
User Registration
The phone number and email fields are optional, but if you choose to fill in either one of them, you can only provide either the phone number or the email. You cannot fill in both fields simultaneously.
POST
/
platformapi
/
chainup
/
open
/
user
/
registration
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/registration
{
"code": "0",
"msg": "Success",
"data": {
"uid": 2000000,
"inviteCode": "AAAAAA"
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
mobileNumber
string
Phone number and email can only be filled in one of them.
Example: 09011223
email
string
Phone number and email can only be filled in one of them.
Example: xxx@xxx.com
countryCode
string
Country dialing code for the phone number.
Example: 93
password
string
requiredPassword
Example: TtEest19121
invitedCode
string
requiredInvitation code
Example: QSKNOQQQ
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/registration
{
"code": "0",
"msg": "Success",
"data": {
"uid": 2000000,
"inviteCode": "AAAAAA"
}
}